%define name	cupid
%define version 0.0.2
%define release %mkrel 7

Name: 	 	%{name}
Summary: 	Audio/Video capture GUI
Version: 	%{version}
Release: 	%{release}

Source:		http://gstreamer.freedesktop.org/src/gst-recorder/%{name}-%{version}.tar.bz2
URL:		http://ronald.bitfreak.net/cupid.php
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig ImageMagick
BuildRequires:	gstreamer-devel
BuildRequires:	libgnomeui2-devel libgnome-vfs2-devel
BuildRequires:	libGConf2-devel
BuildRequires:	scrollkeeper
BuildRequires:	perl(XML::Parser)
BuildRequires:  desktop-file-utils

%description
Cupid is a modern, complete video/audio capture solution for the Linux/GNOME
desktop. It is based on the GStreamer multimedia framework, which is the de
facto multimedia framework on the Linux and UNIX desktop. Using GStreamer, it
supports a variety of container formats and video/audio codecs. Likewise, it
supports all the current video and audio kernel interfaces, and can be
extended to supports other systems than Linux simply by writing a GStreamer
plugin.

%prep
%setup -q

%build
%configure2_5x --disable-schemas-install
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -fr %buildroot/var

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="Cupid" longtitle="Audio/Video capture" section="Multimedia/Video" xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Multimedia" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 pixmaps/%name.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 pixmaps/%name.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 pixmaps/%name.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/cupid.schemas > /dev/null
		
%postun
%clean_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%preun
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/cupid.schemas > /dev/null

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog README NEWS TODO
%{_bindir}/%name
%{_sysconfdir}/gconf/schemas/*
%{_datadir}/applications/*
%{_datadir}/%name
%{_datadir}/gnome/help/%name
%dir %{_datadir}/omf/%name
%{_datadir}/omf/%name/%name-C.omf
%{_datadir}/pixmaps/*
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png



%changelog
* Thu Oct 26 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.0.2-7mdv2007.0
+ Revision: 73052
- Fix BuildRequires
- import cupid-0.0.2-6mdv2007.0


* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.0.2-6mdv2007.0
- Rebuild with latest dbus
- xdg menu

* Sat Apr 01 2006 Austin Acton <austin@mandriva.org> 0.0.2-5mdk
- fix URL (Guillaume Bedot)

* Fri Mar 31 2006 Austin Acton <austin@mandriva.org> 0.0.2-4mdk
- Rebuild

* Wed Mar 16 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.2-3mdk
- fix buildrequires again

* Mon Mar 14 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.2-2mdk
- fix buildrequires

* Mon Mar 14 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.2-1mdk
- New release 0.0.2

* Mon Jan 17 2005 Austin Acton <austin@mandrake.org> 0.0.1-1mdk
- initial package

